<?xml version="1.0" encoding="UTF-8"?>
<component id="empresa_activos_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Activos</title>
    <rows>185</rows>
    <width>750</width>
    <height>450</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdd_empresa_activos</table>
        <id_field>i8_empresa_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>NO</temp_id_field>
        <select_fields>i8_empresa_id,y4_periodo,dt_declaracion,dt_recepcion,f16_activo,f16_pasivo,f8_deducciones,v64_descripcion_activo,dt_desde,dt_hasta,ts_update,ts_in,txt_comentario</select_fields>
        <insert_fields>i8_empresa_id,y4_periodo,dt_declaracion,dt_recepcion,f16_activo,f16_pasivo,f8_deducciones,v64_descripcion_activo,dt_desde,dt_hasta,ts_update,ts_in,txt_comentario</insert_fields>
        <update_fields>y4_periodo,dt_declaracion,dt_recepcion,f16_activo,f16_pasivo,f8_deducciones,v64_descripcion_activo,dt_desde,dt_hasta,ts_update</update_fields>
        <delete_fields>i8_empresa_id,y4_periodo,dt_declaracion,dt_recepcion,f16_activo,f16_pasivo</delete_fields>
        <needed_fields>i8_empresa_id,y4_periodo</needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>25</limit>
        <offset>0</offset>                        
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <element id ="null"></element>    
    <grid>
        <columns>y4_periodo,v64_descripcion_activo,f16_activo,f16_pasivo,f8_deducciones,dt_desde</columns>        
        <column id="y4_periodo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>PERIODO</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>optionsx</elements>
            <element id="optionsx">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>upld</component>
                <clase>empresa_activos</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_empresa_id;y4_periodo</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="v64_descripcion_activo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESCRIPCION</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>optionsy</elements>
            <element id="optionsy">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field,width,heigth,scrollbars</params>
                <component>opfl</component>
                <clase>empresa_activos</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_empresa_id;y4_periodo</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="f16_activo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ACTIVO</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options0</elements>
            <element id="options0">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field,width,heigth,scrollbars</params>
                <component>gdfl</component>
                <clase>empresa_activos_activo</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_empresa_id;y4_periodo</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="f16_pasivo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>PASIVO</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options1</elements>
            <element id="options1">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>empresa_activos_pasivo</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_empresa_id;y4_periodo</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="f8_deducciones">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DEDUCCIONES</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options2</elements>
            <element id="options2">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>empresa_activos_deducciones</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_empresa_id;y4_periodo</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="dt_desde">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESDE</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>        
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>font-family:Arial,Helvetica,sans-serif;font-size:10px;font-style:normal;color:#000000;font-weight:normal;font-variant:normal;text-transform:none;background-color:#A4B5C5;text-align:center</tdheader_style>
        <tdbody_style>font-family:Arial,Helvetica,sans-serif;font-size:10px;font-style:normal;color:#000000;font-weight:normal;font-variant:normal;text-transform:none;background-color:#FFFFFF;text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>